### Class

# Foundry TemplateOutput

#### Description

    final class Foundry.TemplateOutput : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_template_output_new

No description available.

###### foundry_template_output_new_directory

No description available.

#### Instance methods

###### foundry_template_output_dup_contents

No description available.

###### foundry_template_output_dup_file

No description available.

###### foundry_template_output_get_mode

The mode for the file or -1 to ignore the mode.

###### foundry_template_output_write

Writes the output contents to the destination file.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.TemplateOutput:contents

No description available.

###### Foundry.TemplateOutput:file

No description available.

###### Foundry.TemplateOutput:mode

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTemplateOutputClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.